

We get a linkage error with CONFIG_KCORE_AOUT because there is no
implementation of kclist_add() and kclist_del().

Also fix a warning in the a.out version of read_kcore().

Maybe we should just remove kcore a.out support.  m68knommu and h8300 are
setting CONFIG_KCORE_AOUT in their defconfigs though.




 include/linux/proc_fs.h |   15 +++++++--------
 1 files changed, 7 insertions(+), 8 deletions(-)

diff -puN include/linux/proc_fs.h~kcore-aout-build-fix include/linux/proc_fs.h
--- 25/include/linux/proc_fs.h~kcore-aout-build-fix	2003-08-26 15:06:04.000000000 -0700
+++ 25-akpm/include/linux/proc_fs.h	2003-08-26 15:06:04.000000000 -0700
@@ -182,12 +182,6 @@ static inline void proc_net_remove(const
 	remove_proc_entry(name,proc_net);
 }
 
-/*
- * fs/proc/kcore.c
- */
-extern void kclist_add(struct kcore_list *, void *, size_t);
-extern struct kcore_list *kclist_del(void *);
-
 #else
 
 #define proc_root_driver NULL
@@ -223,6 +217,9 @@ static inline void proc_tty_unregister_d
 
 extern struct proc_dir_entry proc_root;
 
+#endif /* CONFIG_PROC_FS */
+
+#if !defined(CONFIG_PROC_FS) || defined(CONFIG_KCORE_AOUT)
 static inline void kclist_add(struct kcore_list *new, void *addr, size_t size)
 {
 }
@@ -230,8 +227,10 @@ static inline struct kcore_list * kclist
 {
 	return NULL;
 }
-
-#endif /* CONFIG_PROC_FS */
+#else
+extern void kclist_add(struct kcore_list *, void *, size_t);
+extern struct kcore_list *kclist_del(void *);
+#endif
 
 struct proc_inode {
 	struct task_struct *task;

_
